How to....?

Trying to build your own version of Vega Strike and having problems? Unix users, paste your config.log here (stderr output alone is not helpful).
Post Reply
Mvh
Star Pilot
Star Pilot
Posts: 7
Joined: Sun Oct 05, 2003 5:03 pm

How to....?

Post by Mvh »

Hi there, it's a rainy sunday so I thought I'd play a game.

How can I get Vega Strike to compile/and what kind of system do I need?
I downloaded from cvs using the shellscript (linux_vegastrike-0.4.1.sh).
After it's finished it says "mv: cannot stat `../vegastrike/src/vegastrike': No such file or directory" and some more of that. so I go into the subdirectory vegastrike, and type "make" to see why, and it breaks off with an error like this:

make all-recursive
make[1]: Entering directory `/video/src/cvs/vegastrike'
Making all in src
make[2]: Entering directory `/video/src/cvs/vegastrike/src'
Making all in cmd
make[3]: Entering directory `/video/src/cvs/vegastrike/src/cmd'
Making all in ai
make[4]: Entering directory `/video/src/cvs/vegastrike/src/cmd/ai'
if g++ -DHAVE_CONFIG_H -I. -I. -I../../.. -I../../../src -I../../../src/boost129 -I/usr/local/include -I/usr/local/include/python2.2 -DHAVE_PYTHON=1 -DUSE_BOOST_129=1 -pipe -O2 -fexpensive-optimizations -fomit-frame-pointer -Wall -ffast-math -pipe -MT comm_ai.o -MD -MP -MF ".deps/comm_ai.Tpo" \
-c -o comm_ai.o `test -f 'comm_ai.cpp' || echo './'`comm_ai.cpp; \
then mv ".deps/comm_ai.Tpo" ".deps/comm_ai.Po"; \
else rm -f ".deps/comm_ai.Tpo"; exit 1; \
fi
In file included from ../../../src/xml_support.h:11,
from ../../../src/faction_generic.h:5,
from comm_ai.cpp:2:
/usr/local/include/expat.h:657: use of enum `XML_Status' without previous
declaration
/usr/local/include/expat.h:735: multiple definition of `enum XML_Status'
/usr/local/include/expat.h:657: previous definition here
make[4]: *** [comm_ai.o] Error 1
make[4]: Leaving directory `/video/src/cvs/vegastrike/src/cmd/ai'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/video/src/cvs/vegastrike/src/cmd'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/video/src/cvs/vegastrike/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/video/src/cvs/vegastrike'
make: *** [all] Error 2

I installed latest expat from source - it stayed the same.
Here is my config.log for completeness:

This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by configure, which was
generated by GNU Autoconf 2.57. Invocation command line was

$ ./configure

## --------- ##
## Platform. ##
## --------- ##

hostname = dionyssus
uname -m = i686
uname -r = 2.4.22
uname -s = Linux
uname -v = #1 Thu Sep 18 23:14:51 CEST 2003

/usr/bin/uname -p = unknown
/bin/uname -X = unknown

/bin/arch = i686
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown

PATH: /bin
PATH: /sbin
PATH: /usr/sbin
PATH: /usr/bin
PATH: /opt/bin
PATH: /opt/sbin
PATH: /usr/local/bin
PATH: /usr/local/sbin
PATH: /usr/local/jdk1.3.1_01/bin
PATH: /usr/bin
PATH: /bin
PATH: /usr/X11R6/bin
PATH: /opt/sbin
PATH: /opt/bin
PATH: /opt/local/bin
PATH: /opt/local/include
PATH: /opt/xtra/bin
PATH: /opt/gnome/bin
PATH: /opt/gnome/sbin
PATH: /opt/gnome/lib
PATH: /opt/local/mozilla/bin
PATH: /opt/local/mozilla/sbin
PATH: /opt/local/mozilla/lib
PATH: /opt/local/mozilla/include
PATH: /opt/kde/qt/bin
PATH: /opt/www/opera/
PATH: /opt/kde/bin


## ----------- ##
## Core tests. ##
## ----------- ##

configure:1368: checking build system type
configure:1386: result: i686-pc-linux-gnu
configure:1394: checking host system type
configure:1408: result: i686-pc-linux-gnu
configure:1416: checking target system type
configure:1430: result: i686-pc-linux-gnu
configure:1460: checking for a BSD-compatible install
configure:1514: result: /bin/install -c
configure:1525: checking whether build environment is sane
configure:1568: result: yes
configure:1601: checking for gawk
configure:1617: found /usr/bin/gawk
configure:1627: result: gawk
configure:1637: checking whether make sets $(MAKE)
configure:1657: result: yes
configure:1863: checking for gcc
configure:1879: found /usr/bin/gcc
configure:1889: result: gcc
configure:2133: checking for C compiler version
configure:2136: gcc --version </dev/null >&5
gcc (GCC) 3.2.3
Copyright (C) 2002 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:2139: $? = 0
configure:2141: gcc -v </dev/null >&5
Reading specs from /usr/bin/../lib/gcc-lib/i686-pc-linux-gnu/3.2.3/specs
Configured with: ../gcc-3.2.3/configure --prefix=/usr --enable-shared --enable-threads=posix --with-slibdir=/lib --enable-__cxa_atexit --enable-clocale=gnu : (reconfigured) ../gcc-3.2.3/configure --prefix=/opt/gcc/ --enable-shared --enable-threads=posix --with-slibdir=/lib --enable-__cxa_atexit --enable-clocale=gnu
Thread model: posix
gcc version 3.2.3
configure:2144: $? = 0
configure:2146: gcc -V </dev/null >&5
gcc: argument to `-V' is missing
configure:2149: $? = 1
configure:2173: checking for C compiler default output
configure:2176: gcc conftest.c >&5
configure:2179: $? = 0
configure:2225: result: a.out
configure:2230: checking whether the C compiler works
configure:2236: ./a.out
configure:2239: $? = 0
configure:2256: result: yes
configure:2263: checking whether we are cross compiling
configure:2265: result: no
configure:2268: checking for suffix of executables
configure:2270: gcc -o conftest conftest.c >&5
configure:2273: $? = 0
configure:2298: result:
configure:2304: checking for suffix of object files
configure:2326: gcc -c conftest.c >&5
configure:2329: $? = 0
configure:2351: result: o
configure:2355: checking whether we are using the GNU C compiler
configure:2380: gcc -c conftest.c >&5
configure:2383: $? = 0
configure:2386: test -s conftest.o
configure:2389: $? = 0
configure:2402: result: yes
configure:2408: checking whether gcc accepts -g
configure:2430: gcc -c -g conftest.c >&5
configure:2433: $? = 0
configure:2436: test -s conftest.o
configure:2439: $? = 0
configure:2450: result: yes
configure:2467: checking for gcc option to accept ANSI C
configure:2528: gcc -c conftest.c >&5
configure:2531: $? = 0
configure:2534: test -s conftest.o
configure:2537: $? = 0
configure:2555: result: none needed
configure:2573: gcc -c conftest.c >&5
conftest.c:2: syntax error before "me"
configure:2576: $? = 1
configure: failed program was:
| #ifndef __cplusplus
| choke me
| #endif
configure:2704: checking for style of include used by make
configure:2732: result: GNU
configure:2760: checking dependency style of gcc
configure:2822: result: gcc3
configure:2860: gcc -c -falign-loops=4 conftest.c >&5
configure:2863: $? = 0
configure:2866: test -s conftest.o
configure:2869: $? = 0
configure:2937: checking for g++
configure:2953: found /usr/bin/g++
configure:2963: result: g++
configure:2979: checking for C++ compiler version
configure:2982: g++ --version </dev/null >&5
g++ (GCC) 3.2.3
Copyright (C) 2002 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:2985: $? = 0
configure:2987: g++ -v </dev/null >&5
Reading specs from /usr/bin/../lib/gcc-lib/i686-pc-linux-gnu/3.2.3/specs
Configured with: ../gcc-3.2.3/configure --prefix=/usr --enable-shared --enable-threads=posix --with-slibdir=/lib --enable-__cxa_atexit --enable-clocale=gnu : (reconfigured) ../gcc-3.2.3/configure --prefix=/opt/gcc/ --enable-shared --enable-threads=posix --with-slibdir=/lib --enable-__cxa_atexit --enable-clocale=gnu
Thread model: posix
gcc version 3.2.3
configure:2990: $? = 0
configure:2992: g++ -V </dev/null >&5
g++: argument to `-V' missing

configure:2995: $? = 1
configure:2998: checking whether we are using the GNU C++ compiler
configure:3023: g++ -c conftest.cc >&5
configure:3026: $? = 0
configure:3029: test -s conftest.o
configure:3032: $? = 0
configure:3045: result: yes
configure:3051: checking whether g++ accepts -g
configure:3073: g++ -c -g conftest.cc >&5
configure:3076: $? = 0
configure:3079: test -s conftest.o
configure:3082: $? = 0
configure:3093: result: yes
configure:3137: g++ -c conftest.cc >&5
configure:3140: $? = 0
configure:3143: test -s conftest.o
configure:3146: $? = 0
configure:3173: g++ -c conftest.cc >&5
configure: In function `int main()':
configure:3170: `exit' undeclared (first use this function)
configure:3170: (Each undeclared identifier is reported only once for each
function it appears in.)
configure:3176: $? = 1
configure: failed program was:
| #line 3156 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| /* end confdefs.h. */
|
| int
| main ()
| {
| exit (42);
| ;
| return 0;
| }
configure:3137: g++ -c conftest.cc >&5
configure:3140: $? = 0
configure:3143: test -s conftest.o
configure:3146: $? = 0
configure:3173: g++ -c conftest.cc >&5
configure:3176: $? = 0
configure:3179: test -s conftest.o
configure:3182: $? = 0
configure:3207: checking dependency style of g++
configure:3269: result: gcc3
configure:3291: checking how to run the C++ preprocessor
configure:3323: g++ -E conftest.cc
configure:3329: $? = 0
configure:3361: g++ -E conftest.cc
configure:3365:28: ac_nonexistent.h: No such file or directory
configure:3367: $? = 1
configure: failed program was:
| #line 3352 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:3405: result: g++ -E
configure:3430: g++ -E conftest.cc
configure:3436: $? = 0
configure:3468: g++ -E conftest.cc
configure:3472:28: ac_nonexistent.h: No such file or directory
configure:3474: $? = 1
configure: failed program was:
| #line 3459 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:3530: checking for a BSD-compatible install
configure:3584: result: /bin/install -c
configure:3595: checking whether ln -s works
configure:3599: result: yes
configure:3647: checking for ranlib
configure:3663: found /usr/bin/ranlib
configure:3674: result: ranlib
configure:3692: checking how to run the C preprocessor
configure:3728: gcc -E conftest.c
configure:3734: $? = 0
configure:3766: gcc -E conftest.c
configure:3770:28: ac_nonexistent.h: No such file or directory
configure:3772: $? = 1
configure: failed program was:
| #line 3757 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:3810: result: gcc -E
configure:3835: gcc -E conftest.c
configure:3841: $? = 0
configure:3873: gcc -E conftest.c
configure:3877:28: ac_nonexistent.h: No such file or directory
configure:3879: $? = 1
configure: failed program was:
| #line 3864 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:3922: checking for egrep
configure:3932: result: grep -E
configure:3937: checking for ANSI C header files
configure:3963: gcc -c conftest.c >&5
configure:3966: $? = 0
configure:3969: test -s conftest.o
configure:3972: $? = 0
configure:4061: gcc -o conftest conftest.c >&5
configure:4064: $? = 0
configure:4066: ./conftest
configure:4069: $? = 0
configure:4084: result: yes
configure:4102: checking for dirent.h that defines DIR
configure:4127: gcc -c conftest.c >&5
configure:4130: $? = 0
configure:4133: test -s conftest.o
configure:4136: $? = 0
configure:4147: result: yes
configure:4160: checking for library containing opendir
configure:4191: gcc -o conftest conftest.c >&5
configure:4194: $? = 0
configure:4197: test -s conftest
configure:4200: $? = 0
configure:4259: result: none required
configure:4389: checking for sys/types.h
configure:4406: gcc -c conftest.c >&5
configure:4409: $? = 0
configure:4412: test -s conftest.o
configure:4415: $? = 0
configure:4426: result: yes
configure:4389: checking for sys/stat.h
configure:4406: gcc -c conftest.c >&5
configure:4409: $? = 0
configure:4412: test -s conftest.o
configure:4415: $? = 0
configure:4426: result: yes
configure:4389: checking for stdlib.h
configure:4406: gcc -c conftest.c >&5
configure:4409: $? = 0
configure:4412: test -s conftest.o
configure:4415: $? = 0
configure:4426: result: yes
configure:4389: checking for string.h
configure:4406: gcc -c conftest.c >&5
configure:4409: $? = 0
configure:4412: test -s conftest.o
configure:4415: $? = 0
configure:4426: result: yes
configure:4389: checking for memory.h
configure:4406: gcc -c conftest.c >&5
configure:4409: $? = 0
configure:4412: test -s conftest.o
configure:4415: $? = 0
configure:4426: result: yes
configure:4389: checking for strings.h
configure:4406: gcc -c conftest.c >&5
configure:4409: $? = 0
configure:4412: test -s conftest.o
configure:4415: $? = 0
configure:4426: result: yes
configure:4389: checking for inttypes.h
configure:4406: gcc -c conftest.c >&5
configure:4409: $? = 0
configure:4412: test -s conftest.o
configure:4415: $? = 0
configure:4426: result: yes
configure:4389: checking for stdint.h
configure:4406: gcc -c conftest.c >&5
configure:4409: $? = 0
configure:4412: test -s conftest.o
configure:4415: $? = 0
configure:4426: result: yes
configure:4389: checking for unistd.h
configure:4406: gcc -c conftest.c >&5
configure:4409: $? = 0
configure:4412: test -s conftest.o
configure:4415: $? = 0
configure:4426: result: yes
configure:4457: checking fcntl.h usability
configure:4470: gcc -c conftest.c >&5
configure:4473: $? = 0
configure:4476: test -s conftest.o
configure:4479: $? = 0
configure:4489: result: yes
configure:4493: checking fcntl.h presence
configure:4504: gcc -E conftest.c
configure:4510: $? = 0
configure:4529: result: yes
configure:4565: checking for fcntl.h
configure:4572: result: yes
configure:4457: checking limits.h usability
configure:4470: gcc -c conftest.c >&5
configure:4473: $? = 0
configure:4476: test -s conftest.o
configure:4479: $? = 0
configure:4489: result: yes
configure:4493: checking limits.h presence
configure:4504: gcc -E conftest.c
configure:4510: $? = 0
configure:4529: result: yes
configure:4565: checking for limits.h
configure:4572: result: yes
configure:4457: checking malloc.h usability
configure:4470: gcc -c conftest.c >&5
configure:4473: $? = 0
configure:4476: test -s conftest.o
configure:4479: $? = 0
configure:4489: result: yes
configure:4493: checking malloc.h presence
configure:4504: gcc -E conftest.c
configure:4510: $? = 0
configure:4529: result: yes
configure:4565: checking for malloc.h
configure:4572: result: yes
configure:4457: checking sys/ioctl.h usability
configure:4470: gcc -c conftest.c >&5
configure:4473: $? = 0
configure:4476: test -s conftest.o
configure:4479: $? = 0
configure:4489: result: yes
configure:4493: checking sys/ioctl.h presence
configure:4504: gcc -E conftest.c
configure:4510: $? = 0
configure:4529: result: yes
configure:4565: checking for sys/ioctl.h
configure:4572: result: yes
configure:4457: checking sys/time.h usability
configure:4470: gcc -c conftest.c >&5
configure:4473: $? = 0
configure:4476: test -s conftest.o
configure:4479: $? = 0
configure:4489: result: yes
configure:4493: checking sys/time.h presence
configure:4504: gcc -E conftest.c
configure:4510: $? = 0
configure:4529: result: yes
configure:4565: checking for sys/time.h
configure:4572: result: yes
configure:4448: checking for unistd.h
configure:4453: result: yes
configure:4588: checking for an ANSI C-conforming const
configure:4656: gcc -c conftest.c >&5
configure:4659: $? = 0
configure:4662: test -s conftest.o
configure:4665: $? = 0
configure:4676: result: yes
configure:4686: checking whether time.h and sys/time.h may both be included
configure:4712: gcc -c conftest.c >&5
configure:4715: $? = 0
configure:4718: test -s conftest.o
configure:4721: $? = 0
configure:4732: result: yes
configure:4742: checking for inline
configure:4764: gcc -c conftest.c >&5
configure:4767: $? = 0
configure:4770: test -s conftest.o
configure:4773: $? = 0
configure:4785: result: inline
configure:4800: checking for size_t
configure:4825: gcc -c conftest.c >&5
configure:4828: $? = 0
configure:4831: test -s conftest.o
configure:4834: $? = 0
configure:4845: result: yes
configure:4870: checking for getcwd
configure:4920: gcc -o conftest conftest.c >&5
configure:4923: $? = 0
configure:4926: test -s conftest
configure:4929: $? = 0
configure:4940: result: yes
configure:4870: checking for gettimeofday
configure:4920: gcc -o conftest conftest.c >&5
configure:4923: $? = 0
configure:4926: test -s conftest
configure:4929: $? = 0
configure:4940: result: yes
configure:4870: checking for strdup
configure:4920: gcc -o conftest conftest.c >&5
configure:4923: $? = 0
configure:4926: test -s conftest
configure:4929: $? = 0
configure:4940: result: yes
configure:4870: checking for select
configure:4920: gcc -o conftest conftest.c >&5
configure:4923: $? = 0
configure:4926: test -s conftest
configure:4929: $? = 0
configure:4940: result: yes
configure:4870: checking for socket
configure:4920: gcc -o conftest conftest.c >&5
configure:4923: $? = 0
configure:4926: test -s conftest
configure:4929: $? = 0
configure:4940: result: yes
configure:4870: checking for strstr
configure:4920: gcc -o conftest conftest.c >&5
configure:4927: warning: conflicting types for built-in function `strstr'
configure:4923: $? = 0
configure:4926: test -s conftest
configure:4929: $? = 0
configure:4940: result: yes
configure:4870: checking for access
configure:4920: gcc -o conftest conftest.c >&5
configure:4923: $? = 0
configure:4926: test -s conftest
configure:4929: $? = 0
configure:4940: result: yes
configure:4870: checking for lstat
configure:4920: gcc -o conftest conftest.c >&5
configure:4923: $? = 0
configure:4926: test -s conftest
configure:4929: $? = 0
configure:4940: result: yes
configure:4956: checking for finite
configure:5006: gcc -o conftest conftest.c >&5
configure:5009: $? = 0
configure:5012: test -s conftest
configure:5015: $? = 0
configure:5026: result: yes
configure:4956: checking for isnan
configure:5006: gcc -o conftest conftest.c >&5
configure:5009: $? = 0
configure:5012: test -s conftest
configure:5015: $? = 0
configure:5026: result: yes
configure:5041: checking for _finite
configure:5091: gcc -o conftest conftest.c >&5
/tmp/ccQLad4c.o: In function `main':
/tmp/ccQLad4c.o(.text+0x16): undefined reference to `_finite'
/tmp/ccQLad4c.o(.data+0x0): undefined reference to `_finite'
collect2: ld returned 1 exit status
configure:5094: $? = 1
configure: failed program was:
| #line 5046 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| /* end confdefs.h. */
| /* System header to define __stub macros and hopefully few prototypes,
| which can conflict with char _finite (); below.
| Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
| <limits.h> exists even on freestanding compilers. */
| #ifdef __STDC__
| # include <limits.h>
| #else
| # include <assert.h>
| #endif
| /* Override any gcc2 internal prototype to avoid an error. */
| #ifdef __cplusplus
| extern "C"
| {
| #endif
| /* We use char because int might match the return type of a gcc2
| builtin and then its argument prototype would still apply. */
| char _finite ();
| /* The GNU C library defines this for functions which it implements
| to always fail with ENOSYS. Some functions are actually named
| something starting with __ and the normal name is an alias. */
| #if defined (__stub__finite) || defined (__stub____finite)
| choke me
| #else
| char (*f) () = _finite;
| #endif
| #ifdef __cplusplus
| }
| #endif
|
| int
| main ()
| {
| return f != _finite;
| ;
| return 0;
| }
configure:5111: result: no
configure:5041: checking for _isnan
configure:5091: gcc -o conftest conftest.c >&5
/tmp/ccOiQicy.o: In function `main':
/tmp/ccOiQicy.o(.text+0x16): undefined reference to `_isnan'
/tmp/ccOiQicy.o(.data+0x0): undefined reference to `_isnan'
collect2: ld returned 1 exit status
configure:5094: $? = 1
configure: failed program was:
| #line 5046 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| /* end confdefs.h. */
| /* System header to define __stub macros and hopefully few prototypes,
| which can conflict with char _isnan (); below.
| Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
| <limits.h> exists even on freestanding compilers. */
| #ifdef __STDC__
| # include <limits.h>
| #else
| # include <assert.h>
| #endif
| /* Override any gcc2 internal prototype to avoid an error. */
| #ifdef __cplusplus
| extern "C"
| {
| #endif
| /* We use char because int might match the return type of a gcc2
| builtin and then its argument prototype would still apply. */
| char _isnan ();
| /* The GNU C library defines this for functions which it implements
| to always fail with ENOSYS. Some functions are actually named
| something starting with __ and the normal name is an alias. */
| #if defined (__stub__isnan) || defined (__stub____isnan)
| choke me
| #else
| char (*f) () = _isnan;
| #endif
| #ifdef __cplusplus
| }
| #endif
|
| int
| main ()
| {
| return f != _isnan;
| ;
| return 0;
| }
configure:5111: result: no
configure:5136: checking ieeefp.h usability
configure:5149: gcc -c conftest.c >&5
configure:5213:20: ieeefp.h: No such file or directory
configure:5152: $? = 1
configure: failed program was:
| #line 5138 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| /* end confdefs.h. */
| #include <stdio.h>
| #if HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #if HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #if STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # if HAVE_STDLIB_H
| # include <stdlib.h>
| # endif
| #endif
| #if HAVE_STRING_H
| # if !STDC_HEADERS && HAVE_MEMORY_H
| # include <memory.h>
| # endif
| # include <string.h>
| #endif
| #if HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #if HAVE_INTTYPES_H
| # include <inttypes.h>
| #else
| # if HAVE_STDINT_H
| # include <stdint.h>
| # endif
| #endif
| #if HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <ieeefp.h>
configure:5168: result: no
configure:5172: checking ieeefp.h presence
configure:5183: gcc -E conftest.c
configure:5215:20: ieeefp.h: No such file or directory
configure:5189: $? = 1
configure: failed program was:
| #line 5174 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| /* end confdefs.h. */
| #include <ieeefp.h>
configure:5208: result: no
configure:5244: checking for ieeefp.h
configure:5251: result: no
configure:5136: checking zlib.h usability
configure:5149: gcc -c conftest.c >&5
configure:5152: $? = 0
configure:5155: test -s conftest.o
configure:5158: $? = 0
configure:5168: result: yes
configure:5172: checking zlib.h presence
configure:5183: gcc -E conftest.c
configure:5189: $? = 0
configure:5208: result: yes
configure:5244: checking for zlib.h
configure:5251: result: yes
configure:5265: checking for pid_t
configure:5290: gcc -c conftest.c >&5
configure:5293: $? = 0
configure:5296: test -s conftest.o
configure:5299: $? = 0
configure:5310: result: yes
configure:5328: checking for unistd.h
configure:5333: result: yes
configure:5337: checking vfork.h usability
configure:5350: gcc -c conftest.c >&5
configure:5416:19: vfork.h: No such file or directory
configure:5353: $? = 1
configure: failed program was:
| #line 5339 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| #define HAVE_ZLIB_H 1
| #define HAVE_UNISTD_H 1
| /* end confdefs.h. */
| #include <stdio.h>
| #if HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #if HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #if STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # if HAVE_STDLIB_H
| # include <stdlib.h>
| # endif
| #endif
| #if HAVE_STRING_H
| # if !STDC_HEADERS && HAVE_MEMORY_H
| # include <memory.h>
| # endif
| # include <string.h>
| #endif
| #if HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #if HAVE_INTTYPES_H
| # include <inttypes.h>
| #else
| # if HAVE_STDINT_H
| # include <stdint.h>
| # endif
| #endif
| #if HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <vfork.h>
configure:5369: result: no
configure:5373: checking vfork.h presence
configure:5384: gcc -E conftest.c
configure:5418:19: vfork.h: No such file or directory
configure:5390: $? = 1
configure: failed program was:
| #line 5375 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| #define HAVE_ZLIB_H 1
| #define HAVE_UNISTD_H 1
| /* end confdefs.h. */
| #include <vfork.h>
configure:5409: result: no
configure:5445: checking for vfork.h
configure:5452: result: no
configure:5470: checking for fork
configure:5520: gcc -o conftest conftest.c >&5
configure:5523: $? = 0
configure:5526: test -s conftest
configure:5529: $? = 0
configure:5540: result: yes
configure:5470: checking for vfork
configure:5520: gcc -o conftest conftest.c >&5
configure:5523: $? = 0
configure:5526: test -s conftest
configure:5529: $? = 0
configure:5540: result: yes
configure:5551: checking for working fork
configure:5574: gcc -o conftest conftest.c >&5
configure:5577: $? = 0
configure:5579: ./conftest
configure:5582: $? = 0
configure:5596: result: yes
configure:5617: checking for working vfork
configure:5751: result: yes
configure:5788: checking for stdlib.h
configure:5793: result: yes
configure:5788: checking for unistd.h
configure:5793: result: yes
configure:5929: checking for getpagesize
configure:5979: gcc -o conftest conftest.c >&5
configure:5982: $? = 0
configure:5985: test -s conftest
configure:5988: $? = 0
configure:5999: result: yes
configure:6009: checking for working mmap
configure:6152: gcc -o conftest conftest.c >&5
configure:6155: $? = 0
configure:6157: ./conftest
configure:6160: $? = 0
configure:6174: result: yes
configure:6185: checking for working memcmp
configure:6234: gcc -o conftest conftest.c >&5
configure:6237: $? = 0
configure:6239: ./conftest
configure:6242: $? = 0
configure:6256: result: yes
configure:6301: gcc -c conftest.c >&5
configure:6304: $? = 0
configure:6307: test -s conftest.o
configure:6310: $? = 0
configure:6349: gcc -c -gdwarf-2 -g3 conftest.c >&5
configure:6352: $? = 0
configure:6355: test -s conftest.o
configure:6358: $? = 0
configure:6470: checking for Win32 platform
configure:6493: result: no
configure:6504: checking for Linux platform
configure:6527: result: yes
configure:6535: checking for MacOSX platform
configure:6558: result: no
configure:6582: checking for python
configure:6645: result: python 2.2.2
configure:6760: checking for sdl-config
configure:6778: found /opt/local/bin/sdl-config
configure:6791: result: /opt/local/bin/sdl-config
configure:6799: checking for SDL - version >= 1.0.1
configure:6890: gcc -o conftest -I/opt/local/include/SDL -D_REENTRANT conftest.c -L/opt/local/lib -Wl,-rpath,/opt/local/lib -lSDL -lpthread >&5
configure:6878:21: SDL/SDL.h: No such file or directory
configure:6893: $? = 1
configure: program exited with status 1
configure: failed program was:
| #line 6823 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| #define HAVE_ZLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FORK 1
| #define HAVE_VFORK 1
| #define HAVE_WORKING_VFORK 1
| #define HAVE_WORKING_FORK 1
| #define HAVE_STDLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_GETPAGESIZE 1
| #define HAVE_MMAP 1
| /* end confdefs.h. */
|
| #include <stdio.h>
| #include <stdlib.h>
| #include <string.h>
| #include <SDL/SDL.h>
|
| char*
| my_strdup (char *str)
| {
| char *new_str;
|
| if (str)
| {
| new_str = (char *)malloc ((strlen (str) + 1) * sizeof(char));
| strcpy (new_str, str);
| }
| else
| new_str = NULL;
|
| return new_str;
| }
|
| int main (int argc, char *argv[])
| {
| int major, minor, micro;
| char *tmp_version;
|
| /* This hangs on some systems (?)
| system ("touch conf.sdltest");
| */
| { FILE *fp = fopen("conf.sdltest", "a"); if ( fp ) fclose(fp); }
|
| /* HP/UX 9 (%@#!) writes to sscanf strings */
| tmp_version = my_strdup("1.0.1");
| if (sscanf(tmp_version, "%d.%d.%d", &major, &minor, &micro) != 3) {
| printf("%s, bad version string\n", "1.0.1");
| exit(1);
| }
|
| if ((1 > major) ||
| ((1 == major) && (2 > minor)) ||
| ((1 == major) && (2 == minor) && (5 >= micro)))
| {
| return 0;
| }
| else
| {
| printf("\n*** 'sdl-config --version' returned %d.%d.%d, but the minimum version\n", 1, 2, 5);
| printf("*** of SDL required is %d.%d.%d. If sdl-config is correct, then it is\n", major, minor, micro);
| printf("*** best to upgrade to the required version.\n");
| printf("*** If sdl-config was wrong, set the environment variable SDL_CONFIG\n");
| printf("*** to point to the correct copy of sdl-config, and remove the file\n");
| printf("*** config.cache before re-running configure\n");
| return 1;
| }
| }
|
|
configure:6920: result: no
configure:6954: gcc -o conftest -I/opt/local/include/SDL -D_REENTRANT conftest.c -L/opt/local/lib -Wl,-rpath,/opt/local/lib -lSDL -lpthread >&5
configure:6957: $? = 0
configure:6960: test -s conftest
configure:6963: $? = 0
configure:7218: checking for GL library
configure:7238: gcc -o conftest conftest.c -lutil -lGL >&5
configure:7241: $? = 0
configure:7244: test -s conftest
configure:7247: $? = 0
configure:7257: result: yes
configure:7657: checking for glXGetProcAddressARB
configure:7707: gcc -o conftest conftest.c -lutil -lGL >&5
configure:7710: $? = 0
configure:7713: test -s conftest
configure:7716: $? = 0
configure:7727: result: yes
configure:7785: checking for GLU library
configure:7805: gcc -o conftest conftest.c -lutil -lGL -lGLU >&5
/usr/local/lib/libGLU.so: undefined reference to `sqrt'
/usr/local/lib/libGLU.so: undefined reference to `ceil'
/usr/local/lib/libGLU.so: undefined reference to `floor'
collect2: ld returned 1 exit status
configure:7808: $? = 1
configure: failed program was:
| #line 7788 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| #define HAVE_ZLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FORK 1
| #define HAVE_VFORK 1
| #define HAVE_WORKING_VFORK 1
| #define HAVE_WORKING_FORK 1
| #define HAVE_STDLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_GETPAGESIZE 1
| #define HAVE_MMAP 1
| #define HAVE_GLXGETPROCADDRESSARB 1
| /* end confdefs.h. */
|
| int
| main ()
| {
|
| ;
| return 0;
| }
configure:7824: result: no
configure:7832: checking for GLU library (with pthreads)
configure:7852: gcc -o conftest conftest.c -lutil -lGL -lGLU -lpthread >&5
/usr/local/lib/libGLU.so: undefined reference to `sqrt'
/usr/local/lib/libGLU.so: undefined reference to `ceil'
/usr/local/lib/libGLU.so: undefined reference to `floor'
collect2: ld returned 1 exit status
configure:7855: $? = 1
configure: failed program was:
| #line 7835 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| #define HAVE_ZLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FORK 1
| #define HAVE_VFORK 1
| #define HAVE_WORKING_VFORK 1
| #define HAVE_WORKING_FORK 1
| #define HAVE_STDLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_GETPAGESIZE 1
| #define HAVE_MMAP 1
| #define HAVE_GLXGETPROCADDRESSARB 1
| /* end confdefs.h. */
|
| int
| main ()
| {
|
| ;
| return 0;
| }
configure:7871: result: no
configure:7890: checking for MesaGLU library
configure:7910: gcc -o conftest conftest.c -lutil -lGL -lMesaGLU >&5
/usr/bin/ld: cannot find -lMesaGLU
collect2: ld returned 1 exit status
configure:7913: $? = 1
configure: failed program was:
| #line 7893 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| #define HAVE_ZLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FORK 1
| #define HAVE_VFORK 1
| #define HAVE_WORKING_VFORK 1
| #define HAVE_WORKING_FORK 1
| #define HAVE_STDLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_GETPAGESIZE 1
| #define HAVE_MMAP 1
| #define HAVE_GLXGETPROCADDRESSARB 1
| /* end confdefs.h. */
|
| int
| main ()
| {
|
| ;
| return 0;
| }
configure:7929: result: no
configure:7937: checking for MesaGLU library (with pthreads)
configure:7957: gcc -o conftest conftest.c -lutil -lGL -lMesaGLU -lpthread >&5
/usr/bin/ld: cannot find -lMesaGLU
collect2: ld returned 1 exit status
configure:7960: $? = 1
configure: failed program was:
| #line 7940 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| #define HAVE_ZLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FORK 1
| #define HAVE_VFORK 1
| #define HAVE_WORKING_VFORK 1
| #define HAVE_WORKING_FORK 1
| #define HAVE_STDLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_GETPAGESIZE 1
| #define HAVE_MMAP 1
| #define HAVE_GLXGETPROCADDRESSARB 1
| /* end confdefs.h. */
|
| int
| main ()
| {
|
| ;
| return 0;
| }
configure:7976: result: no
configure:7890: checking for openglu32 library
configure:7910: gcc -o conftest conftest.c -lutil -lGL -lopenglu32 >&5
/usr/bin/ld: cannot find -lopenglu32
collect2: ld returned 1 exit status
configure:7913: $? = 1
configure: failed program was:
| #line 7893 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| #define HAVE_ZLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FORK 1
| #define HAVE_VFORK 1
| #define HAVE_WORKING_VFORK 1
| #define HAVE_WORKING_FORK 1
| #define HAVE_STDLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_GETPAGESIZE 1
| #define HAVE_MMAP 1
| #define HAVE_GLXGETPROCADDRESSARB 1
| /* end confdefs.h. */
|
| int
| main ()
| {
|
| ;
| return 0;
| }
configure:7929: result: no
configure:7937: checking for openglu32 library (with pthreads)
configure:7957: gcc -o conftest conftest.c -lutil -lGL -lopenglu32 -lpthread >&5
/usr/bin/ld: cannot find -lopenglu32
collect2: ld returned 1 exit status
configure:7960: $? = 1
configure: failed program was:
| #line 7940 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| #define HAVE_ZLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FORK 1
| #define HAVE_VFORK 1
| #define HAVE_WORKING_VFORK 1
| #define HAVE_WORKING_FORK 1
| #define HAVE_STDLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_GETPAGESIZE 1
| #define HAVE_MMAP 1
| #define HAVE_GLXGETPROCADDRESSARB 1
| /* end confdefs.h. */
|
| int
| main ()
| {
|
| ;
| return 0;
| }
configure:7976: result: no
configure:8005: checking for GLU library
configure:8025: gcc -o conftest conftest.c -lutil -lGL -L/usr/X11R6/lib -lGLU >&5
configure:8028: $? = 0
configure:8031: test -s conftest
configure:8034: $? = 0
configure:8044: result: yes
configure:8245: checking for GL/gl.h
configure:8259: gcc -E conftest.c
configure:8265: $? = 0
configure:8285: result: yes
configure:8365: checking GL/glext.h usability
configure:8378: gcc -c conftest.c >&5
In file included from configure:8453:
/usr/local/include/GL/glext.h:2471: syntax error before "red"
/usr/local/include/GL/glext.h:2472: syntax error before "mode"
/usr/local/include/GL/glext.h:2473: syntax error before "mode"
/usr/local/include/GL/glext.h:2474: syntax error before "target"
/usr/local/include/GL/glext.h:2475: syntax error before "target"
/usr/local/include/GL/glext.h:2476: syntax error before "target"
/usr/local/include/GL/glext.h:2477: syntax error before "target"
/usr/local/include/GL/glext.h:2478: syntax error before "target"
/usr/local/include/GL/glext.h:2479: syntax error before "target"
/usr/local/include/GL/glext.h:2480: syntax error before "target"
/usr/local/include/GL/glext.h:2481: syntax error before "target"
/usr/local/include/GL/glext.h:2482: syntax error before "target"
/usr/local/include/GL/glext.h:2483: syntax error before "target"
/usr/local/include/GL/glext.h:2484: syntax error before "target"
/usr/local/include/GL/glext.h:2485: syntax error before "target"
/usr/local/include/GL/glext.h:2486: syntax error before "target"
/usr/local/include/GL/glext.h:2487: syntax error before "target"
/usr/local/include/GL/glext.h:2488: syntax error before "target"
/usr/local/include/GL/glext.h:2489: syntax error before "target"
/usr/local/include/GL/glext.h:2490: syntax error before "target"
/usr/local/include/GL/glext.h:2491: syntax error before "target"
/usr/local/include/GL/glext.h:2492: syntax error before "target"
/usr/local/include/GL/glext.h:2493: syntax error before "target"
/usr/local/include/GL/glext.h:2494: syntax error before "target"
/usr/local/include/GL/glext.h:2495: syntax error before "target"
/usr/local/include/GL/glext.h:2496: syntax error before "target"
/usr/local/include/GL/glext.h:2497: syntax error before "target"
/usr/local/include/GL/glext.h:2498: syntax error before "target"
/usr/local/include/GL/glext.h:2499: syntax error before "target"
/usr/local/include/GL/glext.h:2500: syntax error before "target"
/usr/local/include/GL/glext.h:2501: syntax error before "target"
/usr/local/include/GL/glext.h:2502: syntax error before "target"
/usr/local/include/GL/glext.h:2503: syntax error before "target"
/usr/local/include/GL/glext.h:2504: syntax error before "target"
/usr/local/include/GL/glext.h:2505: syntax error before "target"
/usr/local/include/GL/glext.h:2506: syntax error before "target"
/usr/local/include/GL/glext.h:2507: syntax error before "target"
/usr/local/include/GL/glext.h:2508: syntax error before "target"
/usr/local/include/GL/glext.h:2561: syntax error before "texture"
/usr/local/include/GL/glext.h:2562: syntax error before "texture"
/usr/local/include/GL/glext.h:2563: syntax error before "target"
/usr/local/include/GL/glext.h:2564: syntax error before "target"
/usr/local/include/GL/glext.h:2565: syntax error before "target"
/usr/local/include/GL/glext.h:2566: syntax error before "target"
/usr/local/include/GL/glext.h:2567: syntax error before "target"
/usr/local/include/GL/glext.h:2568: syntax error before "target"
/usr/local/include/GL/glext.h:2569: syntax error before "target"
/usr/local/include/GL/glext.h:2570: syntax error before "target"
/usr/local/include/GL/glext.h:2571: syntax error before "target"
/usr/local/include/GL/glext.h:2572: syntax error before "target"
/usr/local/include/GL/glext.h:2573: syntax error before "target"
/usr/local/include/GL/glext.h:2574: syntax error before "target"
/usr/local/include/GL/glext.h:2575: syntax error before "target"
/usr/local/include/GL/glext.h:2576: syntax error before "target"
/usr/local/include/GL/glext.h:2577: syntax error before "target"
/usr/local/include/GL/glext.h:2578: syntax error before "target"
/usr/local/include/GL/glext.h:2579: syntax error before "target"
/usr/local/include/GL/glext.h:2580: syntax error before "target"
/usr/local/include/GL/glext.h:2581: syntax error before "target"
/usr/local/include/GL/glext.h:2582: syntax error before "target"
/usr/local/include/GL/glext.h:2583: syntax error before "target"
/usr/local/include/GL/glext.h:2584: syntax error before "target"
/usr/local/include/GL/glext.h:2585: syntax error before "target"
/usr/local/include/GL/glext.h:2586: syntax error before "target"
/usr/local/include/GL/glext.h:2587: syntax error before "target"
/usr/local/include/GL/glext.h:2588: syntax error before "target"
/usr/local/include/GL/glext.h:2589: syntax error before "target"
/usr/local/include/GL/glext.h:2590: syntax error before "target"
/usr/local/include/GL/glext.h:2591: syntax error before "target"
/usr/local/include/GL/glext.h:2592: syntax error before "target"
/usr/local/include/GL/glext.h:2593: syntax error before "target"
/usr/local/include/GL/glext.h:2594: syntax error before "target"
/usr/local/include/GL/glext.h:2595: syntax error before '*' token
/usr/local/include/GL/glext.h:2596: syntax error before '*' token
/usr/local/include/GL/glext.h:2597: syntax error before '*' token
/usr/local/include/GL/glext.h:2598: syntax error before '*' token
/usr/local/include/GL/glext.h:2599: syntax error before "value"
/usr/local/include/GL/glext.h:2600: syntax error before "target"
/usr/local/include/GL/glext.h:2601: syntax error before "target"
/usr/local/include/GL/glext.h:2602: syntax error before "target"
/usr/local/include/GL/glext.h:2603: syntax error before "target"
/usr/local/include/GL/glext.h:2604: syntax error before "target"
/usr/local/include/GL/glext.h:2605: syntax error before "target"
/usr/local/include/GL/glext.h:2606: syntax error before "target"
/usr/local/include/GL/glext.h:2658: syntax error before "sfactorRGB"
/usr/local/include/GL/glext.h:2659: syntax error before "coord"
/usr/local/include/GL/glext.h:2660: syntax error before '*' token
/usr/local/include/GL/glext.h:2661: syntax error before "coord"
/usr/local/include/GL/glext.h:2662: syntax error before '*' token
/usr/local/include/GL/glext.h:2663: syntax error before "type"
/usr/local/include/GL/glext.h:2664: syntax error before "mode"
/usr/local/include/GL/glext.h:2665: syntax error before "mode"
/usr/local/include/GL/glext.h:2666: syntax error before "pname"
/usr/local/include/GL/glext.h:2667: syntax error before "pname"
/usr/local/include/GL/glext.h:2668: syntax error before "pname"
/usr/local/include/GL/glext.h:2669: syntax error before "pname"
/usr/local/include/GL/glext.h:2670: syntax error before "red"
/usr/local/include/GL/glext.h:2671: syntax error before '*' token
/usr/local/include/GL/glext.h:2672: syntax error before "red"
/usr/local/include/GL/glext.h:2673: syntax error before '*' token
/usr/local/include/GL/glext.h:2674: syntax error before "red"
/usr/local/include/GL/glext.h:2675: syntax error before '*' token
/usr/local/include/GL/glext.h:2676: syntax error before "red"
/usr/local/include/GL/glext.h:2677: syntax error before '*' token
/usr/local/include/GL/glext.h:2678: syntax error before "red"
/usr/local/include/GL/glext.h:2679: syntax error before '*' token
/usr/local/include/GL/glext.h:2680: syntax error before "red"
/usr/local/include/GL/glext.h:2681: syntax error before '*' token
/usr/local/include/GL/glext.h:2682: syntax error before "red"
/usr/local/include/GL/glext.h:2683: syntax error before '*' token
/usr/local/include/GL/glext.h:2684: syntax error before "red"
/usr/local/include/GL/glext.h:2685: syntax error before '*' token
/usr/local/include/GL/glext.h:2686: syntax error before "size"
/usr/local/include/GL/glext.h:2687: syntax error before "x"
/usr/local/include/GL/glext.h:2688: syntax error before '*' token
/usr/local/include/GL/glext.h:2689: syntax error before "x"
/usr/local/include/GL/glext.h:2690: syntax error before '*' token
/usr/local/include/GL/glext.h:2691: syntax error before "x"
/usr/local/include/GL/glext.h:2692: syntax error before '*' token
/usr/local/include/GL/glext.h:2693: syntax error before "x"
/usr/local/include/GL/glext.h:2694: syntax error before '*' token
/usr/local/include/GL/glext.h:2695: syntax error before "x"
/usr/local/include/GL/glext.h:2696: syntax error before '*' token
/usr/local/include/GL/glext.h:2697: syntax error before "x"
/usr/local/include/GL/glext.h:2698: syntax error before '*' token
/usr/local/include/GL/glext.h:2699: syntax error before "x"
/usr/local/include/GL/glext.h:2700: syntax error before '*' token
/usr/local/include/GL/glext.h:2701: syntax error before "x"
/usr/local/include/GL/glext.h:2702: syntax error before '*' token
/usr/local/include/GL/glext.h:2743: syntax error before "texture"
/usr/local/include/GL/glext.h:2744: syntax error before "texture"
/usr/local/include/GL/glext.h:2745: syntax error before "target"
/usr/local/include/GL/glext.h:2746: syntax error before "target"
/usr/local/include/GL/glext.h:2747: syntax error before "target"
/usr/local/include/GL/glext.h:2748: syntax error before "target"
/usr/local/include/GL/glext.h:2749: syntax error before "target"
/usr/local/include/GL/glext.h:2750: syntax error before "target"
/usr/local/include/GL/glext.h:2751: syntax error before "target"
/usr/local/include/GL/glext.h:2752: syntax error before "target"
/usr/local/include/GL/glext.h:2753: syntax error before "target"
/usr/local/include/GL/glext.h:2754: syntax error before "target"
/usr/local/include/GL/glext.h:2755: syntax error before "target"
/usr/local/include/GL/glext.h:2756: syntax error before "target"
/usr/local/include/GL/glext.h:2757: syntax error before "target"
/usr/local/include/GL/glext.h:2758: syntax error before "target"
/usr/local/include/GL/glext.h:2759: syntax error before "target"
/usr/local/include/GL/glext.h:2760: syntax error before "target"
/usr/local/include/GL/glext.h:2761: syntax error before "target"
/usr/local/include/GL/glext.h:2762: syntax error before "target"
/usr/local/include/GL/glext.h:2763: syntax error before "target"
/usr/local/include/GL/glext.h:2764: syntax error before "target"
/usr/local/include/GL/glext.h:2765: syntax error before "target"
/usr/local/include/GL/glext.h:2766: syntax error before "target"
/usr/local/include/GL/glext.h:2767: syntax error before "target"
/usr/local/include/GL/glext.h:2768: syntax error before "target"
/usr/local/include/GL/glext.h:2769: syntax error before "target"
/usr/local/include/GL/glext.h:2770: syntax error before "target"
/usr/local/include/GL/glext.h:2771: syntax error before "target"
/usr/local/include/GL/glext.h:2772: syntax error before "target"
/usr/local/include/GL/glext.h:2773: syntax error before "target"
/usr/local/include/GL/glext.h:2774: syntax error before "target"
/usr/local/include/GL/glext.h:2775: syntax error before "target"
/usr/local/include/GL/glext.h:2776: syntax error before "target"
/usr/local/include/GL/glext.h:2787: syntax error before '*' token
/usr/local/include/GL/glext.h:2788: syntax error before '*' token
/usr/local/include/GL/glext.h:2789: syntax error before '*' token
/usr/local/include/GL/glext.h:2790: syntax error before '*' token
/usr/local/include/GL/glext.h:2798: syntax error before "value"
/usr/local/include/GL/glext.h:2820: syntax error before "target"
/usr/local/include/GL/glext.h:2821: syntax error before "target"
/usr/local/include/GL/glext.h:2822: syntax error before "target"
/usr/local/include/GL/glext.h:2823: syntax error before "target"
/usr/local/include/GL/glext.h:2824: syntax error before "target"
/usr/local/include/GL/glext.h:2825: syntax error before "target"
/usr/local/include/GL/glext.h:2826: syntax error before "target"
/usr/local/include/GL/glext.h:2839: syntax error before "pname"
/usr/local/include/GL/glext.h:2840: syntax error before "pname"
/usr/local/include/GL/glext.h:2857: syntax error before "size"
/usr/local/include/GL/glext.h:2858: syntax error before "size"
/usr/local/include/GL/glext.h:2859: syntax error before "size"
/usr/local/include/GL/glext.h:2860: syntax error before "size"
/usr/local/include/GL/glext.h:2861: syntax error before "size"
/usr/local/include/GL/glext.h:2862: syntax error before "size"
/usr/local/include/GL/glext.h:2863: syntax error before "size"
/usr/local/include/GL/glext.h:2864: syntax error before "size"
/usr/local/include/GL/glext.h:2865: syntax error before "size"
/usr/local/include/GL/glext.h:2866: syntax error before "count"
/usr/local/include/GL/glext.h:2878: syntax error before "index"
/usr/local/include/GL/glext.h:2879: syntax error before "size"
/usr/local/include/GL/glext.h:2880: syntax error before "size"
/usr/local/include/GL/glext.h:2881: syntax error before "size"
/usr/local/include/GL/glext.h:2882: syntax error before "size"
/usr/local/include/GL/glext.h:2933: syntax error before "x"
/usr/local/include/GL/glext.h:2934: syntax error before '*' token
/usr/local/include/GL/glext.h:2935: syntax error before "x"
/usr/local/include/GL/glext.h:2936: syntax error before '*' token
/usr/local/include/GL/glext.h:2937: syntax error before "x"
/usr/local/include/GL/glext.h:2938: syntax error before '*' token
/usr/local/include/GL/glext.h:2939: syntax error before "x"
/usr/local/include/GL/glext.h:2940: syntax error before '*' token
/usr/local/include/GL/glext.h:2941: syntax error before "x"
/usr/local/include/GL/glext.h:2942: syntax error before '*' token
/usr/local/include/GL/glext.h:2943: syntax error before "x"
/usr/local/include/GL/glext.h:2944: syntax error before '*' token
/usr/local/include/GL/glext.h:2945: syntax error before "x"
/usr/local/include/GL/glext.h:2946: syntax error before '*' token
/usr/local/include/GL/glext.h:2947: syntax error before "x"
/usr/local/include/GL/glext.h:2948: syntax error before '*' token
/usr/local/include/GL/glext.h:3017: syntax error before "index"
/usr/local/include/GL/glext.h:3018: syntax error before "index"
/usr/local/include/GL/glext.h:3019: syntax error before "index"
/usr/local/include/GL/glext.h:3020: syntax error before "index"
/usr/local/include/GL/glext.h:3021: syntax error before "index"
/usr/local/include/GL/glext.h:3022: syntax error before "index"
/usr/local/include/GL/glext.h:3023: syntax error before "index"
/usr/local/include/GL/glext.h:3024: syntax error before "index"
/usr/local/include/GL/glext.h:3025: syntax error before "index"
/usr/local/include/GL/glext.h:3026: syntax error before "index"
/usr/local/include/GL/glext.h:3027: syntax error before "index"
/usr/local/include/GL/glext.h:3028: syntax error before "index"
/usr/local/include/GL/glext.h:3029: syntax error before "index"
/usr/local/include/GL/glext.h:3030: syntax
Post Reply